ruby-github-api_0.18.2-1_all.deb


Advertisement

Description

ruby-github-api - Ruby client for the official GitHub API

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-github-api
Package version 0.18.2
Package release 1
Package architecture all
Package type deb
Installed size 592 B
Download size 126.19 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-github-api_0.18.2-1_all.deb 0.18.2 all Debian Main
ruby-github-api - - -

Requires

Name Value
ruby -
ruby-addressable >= 2.4
ruby-descendants-tracker >= 0.0.4
ruby-faraday >= 0.8
ruby-hashie >= 3.5.2
ruby-interpreter -
ruby-oauth2 >= 1.0

Download

Type URL
Binary Package ruby-github-api_0.18.2-1_all.deb
Source Package ruby-github-api

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-github-api deb package:
    # sudo apt-get install ruby-github-api

Files

Path
/usr/lib/ruby/vendor_ruby/github_api.rb
/usr/lib/ruby/vendor_ruby/github_api/api.rb
/usr/lib/ruby/vendor_ruby/github_api/authorization.rb
/usr/lib/ruby/vendor_ruby/github_api/client.rb
/usr/lib/ruby/vendor_ruby/github_api/configuration.rb
/usr/lib/ruby/vendor_ruby/github_api/connection.rb
/usr/lib/ruby/vendor_ruby/github_api/constants.rb
/usr/lib/ruby/vendor_ruby/github_api/deprecation.rb
/usr/lib/ruby/vendor_ruby/github_api/error.rb
/usr/lib/ruby/vendor_ruby/github_api/mash.rb
/usr/lib/ruby/vendor_ruby/github_api/middleware.rb
/usr/lib/ruby/vendor_ruby/github_api/mime_type.rb
/usr/lib/ruby/vendor_ruby/github_api/normalizer.rb
/usr/lib/ruby/vendor_ruby/github_api/null_encoder.rb
/usr/lib/ruby/vendor_ruby/github_api/page_iterator.rb
/usr/lib/ruby/vendor_ruby/github_api/page_links.rb
/usr/lib/ruby/vendor_ruby/github_api/paged_request.rb
/usr/lib/ruby/vendor_ruby/github_api/pagination.rb
/usr/lib/ruby/vendor_ruby/github_api/parameter_filter.rb
/usr/lib/ruby/vendor_ruby/github_api/params_hash.rb
/usr/lib/ruby/vendor_ruby/github_api/rate_limit.rb
/usr/lib/ruby/vendor_ruby/github_api/request.rb
/usr/lib/ruby/vendor_ruby/github_api/requestable.rb
/usr/lib/ruby/vendor_ruby/github_api/resource.rb
/usr/lib/ruby/vendor_ruby/github_api/response.rb
/usr/lib/ruby/vendor_ruby/github_api/response_wrapper.rb
/usr/lib/ruby/vendor_ruby/github_api/validations.rb
/usr/lib/ruby/vendor_ruby/github_api/version.rb
/usr/lib/ruby/vendor_ruby/github_api/api/actions.rb
/usr/lib/ruby/vendor_ruby/github_api/api/arguments.rb
/usr/lib/ruby/vendor_ruby/github_api/api/config.rb
/usr/lib/ruby/vendor_ruby/github_api/api/factory.rb
/usr/lib/ruby/vendor_ruby/github_api/api/config/property.rb
/usr/lib/ruby/vendor_ruby/github_api/api/config/property_set.rb
/usr/lib/ruby/vendor_ruby/github_api/client/activity.rb
/usr/lib/ruby/vendor_ruby/github_api/client/authorizations.rb
/usr/lib/ruby/vendor_ruby/github_api/client/emojis.rb
/usr/lib/ruby/vendor_ruby/github_api/client/gists.rb
/usr/lib/ruby/vendor_ruby/github_api/client/git_data.rb
/usr/lib/ruby/vendor_ruby/github_api/client/gitignore.rb
/usr/lib/ruby/vendor_ruby/github_api/client/issues.rb
/usr/lib/ruby/vendor_ruby/github_api/client/markdown.rb
/usr/lib/ruby/vendor_ruby/github_api/client/meta.rb
/usr/lib/ruby/vendor_ruby/github_api/client/orgs.rb
/usr/lib/ruby/vendor_ruby/github_api/client/projects.rb
/usr/lib/ruby/vendor_ruby/github_api/client/pull_requests.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos.rb
/usr/lib/ruby/vendor_ruby/github_api/client/say.rb
/usr/lib/ruby/vendor_ruby/github_api/client/scopes.rb
/usr/lib/ruby/vendor_ruby/github_api/client/search.rb
/usr/lib/ruby/vendor_ruby/github_api/client/users.rb
/usr/lib/ruby/vendor_ruby/github_api/client/activity/events.rb
/usr/lib/ruby/vendor_ruby/github_api/client/activity/feeds.rb
/usr/lib/ruby/vendor_ruby/github_api/client/activity/notifications.rb
/usr/lib/ruby/vendor_ruby/github_api/client/activity/starring.rb
/usr/lib/ruby/vendor_ruby/github_api/client/activity/watching.rb
/usr/lib/ruby/vendor_ruby/github_api/client/authorizations/app.rb
/usr/lib/ruby/vendor_ruby/github_api/client/gists/comments.rb
/usr/lib/ruby/vendor_ruby/github_api/client/git_data/blobs.rb
/usr/lib/ruby/vendor_ruby/github_api/client/git_data/commits.rb
/usr/lib/ruby/vendor_ruby/github_api/client/git_data/references.rb
/usr/lib/ruby/vendor_ruby/github_api/client/git_data/tags.rb
/usr/lib/ruby/vendor_ruby/github_api/client/git_data/trees.rb
/usr/lib/ruby/vendor_ruby/github_api/client/issues/assignees.rb
/usr/lib/ruby/vendor_ruby/github_api/client/issues/comments.rb
/usr/lib/ruby/vendor_ruby/github_api/client/issues/events.rb
/usr/lib/ruby/vendor_ruby/github_api/client/issues/labels.rb
/usr/lib/ruby/vendor_ruby/github_api/client/issues/milestones.rb
/usr/lib/ruby/vendor_ruby/github_api/client/orgs/hooks.rb
/usr/lib/ruby/vendor_ruby/github_api/client/orgs/members.rb
/usr/lib/ruby/vendor_ruby/github_api/client/orgs/memberships.rb
/usr/lib/ruby/vendor_ruby/github_api/client/orgs/projects.rb
/usr/lib/ruby/vendor_ruby/github_api/client/orgs/teams.rb
/usr/lib/ruby/vendor_ruby/github_api/client/projects/cards.rb
/usr/lib/ruby/vendor_ruby/github_api/client/projects/columns.rb
/usr/lib/ruby/vendor_ruby/github_api/client/pull_requests/comments.rb
/usr/lib/ruby/vendor_ruby/github_api/client/pull_requests/reviews.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/branches.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/collaborators.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/comments.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/commits.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/contents.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/deployments.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/downloads.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/forks.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/hooks.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/keys.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/merging.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/pages.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/projects.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/pub_sub_hubbub.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/releases.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/statistics.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/statuses.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/branches/protections.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/releases/assets.rb
/usr/lib/ruby/vendor_ruby/github_api/client/repos/releases/tags.rb
/usr/lib/ruby/vendor_ruby/github_api/client/search/legacy.rb
/usr/lib/ruby/vendor_ruby/github_api/client/users/emails.rb
/usr/lib/ruby/vendor_ruby/github_api/client/users/followers.rb
/usr/lib/ruby/vendor_ruby/github_api/client/users/keys.rb
/usr/lib/ruby/vendor_ruby/github_api/core_ext/array.rb
/usr/lib/ruby/vendor_ruby/github_api/core_ext/hash.rb
/usr/lib/ruby/vendor_ruby/github_api/core_ext/ordered_hash.rb
/usr/lib/ruby/vendor_ruby/github_api/error/client_error.rb
/usr/lib/ruby/vendor_ruby/github_api/error/service_error.rb
/usr/lib/ruby/vendor_ruby/github_api/ext/faraday.rb
/usr/lib/ruby/vendor_ruby/github_api/request/basic_auth.rb
/usr/lib/ruby/vendor_ruby/github_api/request/jsonize.rb
/usr/lib/ruby/vendor_ruby/github_api/request/oauth2.rb
/usr/lib/ruby/vendor_ruby/github_api/request/verbs.rb
/usr/lib/ruby/vendor_ruby/github_api/response/atom_parser.rb
/usr/lib/ruby/vendor_ruby/github_api/response/follow_redirects.rb
/usr/lib/ruby/vendor_ruby/github_api/response/header.rb
/usr/lib/ruby/vendor_ruby/github_api/response/jsonize.rb
/usr/lib/ruby/vendor_ruby/github_api/response/mashify.rb
/usr/lib/ruby/vendor_ruby/github_api/response/raise_error.rb
/usr/lib/ruby/vendor_ruby/github_api/response/xmlize.rb
/usr/lib/ruby/vendor_ruby/github_api/ssl_certs/cacerts.pem
/usr/lib/ruby/vendor_ruby/github_api/utils/url.rb
/usr/lib/ruby/vendor_ruby/github_api/validations/format.rb
/usr/lib/ruby/vendor_ruby/github_api/validations/presence.rb
/usr/lib/ruby/vendor_ruby/github_api/validations/required.rb
/usr/lib/ruby/vendor_ruby/github_api/validations/token.rb
/usr/share/doc/ruby-github-api/README.md.gz
/usr/share/doc/ruby-github-api/changelog.Debian.gz
/usr/share/doc/ruby-github-api/copyright
/usr/share/rubygems-integration/all/specifications/github_api-0.18.2.gemspec

Changelog

2018-03-16 - Pirate Praveen <praveen@debian.org>
ruby-github-api (0.18.2-1) unstable; urgency=medium
* Team upload
* New upstream version 0.18.2 (Closes: #891209)
* Run dh-make-ruby -w
2016-07-01 - Andrew Lee (李健秋) <ajqlee@debian.org>
ruby-github-api (0.14.2-1) unstable; urgency=medium
* Initial release (Closes: #829206)

See Also

Package Description
ruby-github-linguist_5.3.3-1_amd64.deb detection and highlight of the programming language of source code
ruby-github-markdown_0.6.9-2+b2_amd64.deb Markdown parser for GitHub.com
ruby-github-markup_1.6.5-1_all.deb GitHub Markup rendering
ruby-gitlab-flowdock-git-hook_1.0.1-4_all.deb Git Post-Receive hook for Flowdock
ruby-gitlab_4.5.0-1_all.deb Ruby wrapper and CLI for the GitLab API
ruby-gli_2.14.0-1_all.deb Build command-suite CLI apps without a lot of syntax
ruby-glib2_3.3.0-1_amd64.deb GLib 2 bindings for the Ruby language
ruby-globalid_0.3.6-1_all.deb reference models by URI for Ruby on Rails
ruby-gnome2-dev_3.3.0-1_amd64.deb GNOME-related bindings for the Ruby language (development files)
ruby-gnome2_3.3.0-1_all.deb GNOME-related bindings for the Ruby language
ruby-gnuplot_2.6.2-2_all.deb Ruby library to interact with gnuplot
ruby-gobject-introspection_3.3.0-1_amd64.deb GObject Introspection bindings for the Ruby language
ruby-god_0.13.7-3_amd64.deb Fully configurable process monitoring
ruby-gollum-lib_4.2.7.5-3_all.deb simple, Git-powered wiki
ruby-gollum-rugged-adapter_0.4.4.1-2_all.deb Adapter for Gollum to use Rugged (libgit2) at the backend
Advertisement
Advertisement